package com.ruoyi.web.userLogin.service;

import javax.servlet.http.HttpSession;
import java.util.Map;

public interface WxUserLoginService {

    /**
     * 验证用户登录
     * @param loginName
     * @param password
     * @param session
     * @return
     */
    Map<String,Object> checkLogoin(String loginName,String password,String openId, HttpSession session);

    /**
     * 修改密码
     * @param map
     * @return
     */
    Map<String,Object> updataUser(Map<String,Object> map);

    /**
     * 添加用户openid信息
     * @param map
     * @return
     */
    Map<String,Object> addUserOpenId(Map<String,Object> map);

    /**
     * 根据用户openid查询用户信息
     * @param openId
     * @return
     */
    Map<String,Object> getUserInfoByOpenId(String openId, HttpSession session);

    /**
     * 验证手机号码是否已经绑定
     * @param phone
     * @return
     */
    Map<String,Object> checkBindByPhone(String phone);

    /**
     * 查询出系统菜单
     * @return
     */
    Map<String,Object> selectMenuList();

    /**
     * 获取openId
     * @param code
     * @return
     */
    Map<String,Object> getOpenId(String code,String appId);
}
